%define webadminroot /var/www/html/admin

Summary:	IP addresses management tool written in PHP
Name:		phpip
Version:	4.1.1
Release:	1mdk
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/phpip/
Source0:	http://prdownloads.sourceforge.net/phpip/%{name}-%{version}.tar.bz2
Requires:	apache php-mysql mod_php
BuildArch:	noarch
BuildRequires:	dos2unix
Obsoletes:	phpIP
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
phpIP Management is tool to manage IP addresses. It features
authentication for accessing the IP database, form validity
checks, and customizable searches. 

%prep

%setup -q -n %{name}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

# cleanup
rm -f %{buildroot}%{webadminroot}/%{name}/COPYING
rm -f %{buildroot}%{webadminroot}/%{name}/ChangeLog
rm -f %{buildroot}%{webadminroot}/%{name}/INSTALL
rm -f %{buildroot}%{webadminroot}/%{name}/README
rm -f %{buildroot}%{webadminroot}/%{name}/TODO

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README TODO
%{webadminroot}/%{name}

%changelog
* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.1.1-1mdk
- 4.1.1 (Minor feature enhancements)

* Fri May 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.1-1mdk
- 4.1 (Major feature enhancements)
- phpIP/phpip

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2-2mdk
- new url

* Mon Mar 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2-1mdk
- 3.2

* Sun Feb 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-1mdk
- 3.1

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0-1mdk
- 3.0

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-2mdk
- build release

* Mon Oct 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-1mdk
- new version

* Fri Oct 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-1mdk
- new version (should have been this version yesterday...)

* Thu Oct 17 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib
